Summary:        Unified interface for Linux network state querying
Name:           nispor
Version:        1.2.10
Release:        7%{?dist}
License:        ASL 2.0
URL:            https://github.com/nispor/nispor
Source0:        https://github.com/nispor/nispor/archive/v%{version}.tar.gz #/%{name}-%{version}.tar.gz
Source1:        https://github.com/nispor/nispor/releases/download/v%{version}/nispor-vendor-%{version}.tar.xz

BuildRequires:  pkg-config systemd-rpm-macros rust-toolset
BuildRequires:  python3-devel python-setuptools

Provides: bundled(crate(aho-corasick)) = 0.7.20
Provides: bundled(crate(anyhow)) = 1.0.68
Provides: bundled(crate(atty)) = 0.2.14
Provides: bundled(crate(autocfg)) = 1.1.0
Provides: bundled(crate(bitflags)) = 1.3.2
Provides: bundled(crate(byteorder)) = 1.4.3
Provides: bundled(crate(bytes)) = 1.3.0
Provides: bundled(crate(cfg-if)) = 1.0.0
Provides: bundled(crate(clap)) = 3.2.23
Provides: bundled(crate(clap_lex)) = 0.2.4
Provides: bundled(crate(diff)) = 0.1.13
Provides: bundled(crate(env_logger)) = 0.9.3
Provides: bundled(crate(ethtool)) = 0.2.4
Provides: bundled(crate(futures)) = 0.3.26
Provides: bundled(crate(futures-channel)) = 0.3.26
Provides: bundled(crate(futures-core)) = 0.3.26
Provides: bundled(crate(futures-executor)) = 0.3.26
Provides: bundled(crate(futures-io)) = 0.3.26
Provides: bundled(crate(futures-macro)) = 0.3.26
Provides: bundled(crate(futures-sink)) = 0.3.26
Provides: bundled(crate(futures-task)) = 0.3.26
Provides: bundled(crate(futures-util)) = 0.3.26
Provides: bundled(crate(genetlink)) = 0.2.4
Provides: bundled(crate(hashbrown)) = 0.12.3
Provides: bundled(crate(humantime)) = 2.1.0
Provides: bundled(crate(indexmap)) = 1.9.2
Provides: bundled(crate(itoa)) = 1.0.5
Provides: bundled(crate(libc)) = 0.2.139
Provides: bundled(crate(log)) = 0.4.17
Provides: bundled(crate(memchr)) = 2.5.0
Provides: bundled(crate(mio)) = 0.8.5
Provides: bundled(crate(mptcp-pm)) = 0.1.2
Provides: bundled(crate(netlink-packet-core)) = 0.5.0
Provides: bundled(crate(netlink-packet-generic)) = 0.3.2
Provides: bundled(crate(netlink-packet-route)) = 0.15.0
Provides: bundled(crate(netlink-packet-utils)) = 0.5.2
Provides: bundled(crate(netlink-proto)) = 0.11.1
Provides: bundled(crate(netlink-sys)) = 0.8.4
Provides: bundled(crate(nix)) = 0.26.2
Provides: bundled(crate(once_cell)) = 1.17.0
Provides: bundled(crate(os_str_bytes)) = 6.4.1
Provides: bundled(crate(paste)) = 1.0.11
Provides: bundled(crate(pin-project-lite)) = 0.2.9
Provides: bundled(crate(pin-utils)) = 0.1.0
Provides: bundled(crate(pretty_assertions)) = 1.3.0
Provides: bundled(crate(proc-macro2)) = 1.0.50
Provides: bundled(crate(quote)) = 1.0.23
Provides: bundled(crate(regex)) = 1.7.1
Provides: bundled(crate(regex-syntax)) = 0.6.28
Provides: bundled(crate(rtnetlink)) = 0.12.0
Provides: bundled(crate(ryu)) = 1.0.12
Provides: bundled(crate(serde)) = 1.0.152
Provides: bundled(crate(serde_derive)) = 1.0.152
Provides: bundled(crate(serde_json)) = 1.0.91
Provides: bundled(crate(serde_yaml)) = 0.9.17
Provides: bundled(crate(slab)) = 0.4.7
Provides: bundled(crate(socket2)) = 0.4.7
Provides: bundled(crate(static_assertions)) = 1.1.0
Provides: bundled(crate(strsim)) = 0.10.0
Provides: bundled(crate(syn)) = 1.0.107
Provides: bundled(crate(termcolor)) = 1.2.0
Provides: bundled(crate(textwrap)) = 0.16.0
Provides: bundled(crate(thiserror)) = 1.0.38
Provides: bundled(crate(thiserror-impl)) = 1.0.38
Provides: bundled(crate(tokio)) = 1.25.0
Provides: bundled(crate(tokio-macros)) = 1.8.2
Provides: bundled(crate(unicode-ident)) = 1.0.6
Provides: bundled(crate(unsafe-libyaml)) = 0.2.5
Provides: bundled(crate(yansi)) = 0.5.1

%description
Unified interface for Linux network state querying.


%package -n     python3-%{name}
Summary:        %{summary}
Requires:       nispor = %{version}-%{release}
BuildArch:      noarch

%description -n python3-%{name}
This package contains python3 binding of %{name}.


%package        devel
Summary:        %{summary}
Requires:       nispor = %{version}-%{release}

%description devel
This package contains C binding of %{name}.


%prep
%autosetup -p1

# Source1 is vendored dependencies
%cargo_prep -V 1

# _FLAGS=`sed -ne 's/rustflags = "\(.\+\)"/\1/p' .cargo/config.toml`
# sed -i -e "s/rustflags = \[\(.\+\), \]$/rustflags = [\1, \"$_FLAGS\"]/" .cargo/config


%build
# use RUSTFLAGS for make (cargo build in Makefile)
# "-Cstrip=none" add for rust-1.77.2
# "-Clink-arg=-Wl,-soname=libnispor.so.1" from _FLAGS
env RUSTFLAGS="-Copt-level=3 -Cdebuginfo=2 -Ccodegen-units=1 -Cstrip=none -Clink-arg=-Wl,-soname=libnispor.so.1" \
 make
pushd src/python
%py3_build
popd


%install
env SKIP_PYTHON_INSTALL=1 PREFIX=%{_prefix} LIBDIR=%{_libdir} %make_install

pushd src/python
%py3_install
popd


%files
%license LICENSE
%doc AUTHORS CHANGELOG DEVEL.md README.md
%{_bindir}/npc
%{_libdir}/libnispor.so.*

%files -n python3-%{name}
%license LICENSE
%{python3_sitelib}/nispor*

%files devel
%license LICENSE
%{_libdir}/libnispor.so
%{_includedir}/nispor.h
%{_libdir}/pkgconfig/nispor.pc


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.10-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.10-6
- Rebuilt for loongarch release

* Wed Jul 17 2024 Rebuild Robot <rebot@opencloudos.org> - 1.2.10-5
- [Type] bugfix
- [DESC] Rebuilt for rust-toolset
- use RUSTFLAGS for make(cargo build in Makefile)

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.10-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.10-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.10-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 rockerzhu <rockerzhu@tencent.com> - 1.2.10-1
- Initial build
